QGIS Application - Bug report #6684
Embedded layers should not allow rename
2012-11-13 12:08 PM - John Tull

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Map Legend

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 15852
Description

Embedded layers from an external qgis project are linked to the project file from which they were imported, dependent on the properties
of that external project. This means that changes to the original project file layer properties and names will be reflected in the new project
that has those layers embedded within upon reopening the project with embedded layers. Because of this, the layer's property dialog is
not available for embedded layers because the layers are more like a symbolic link than an editable layer within the project.

Currently, it is possible to rename layers and groups that have been embedded. This is inconsistent with the treatment of embedded
layers as linked files dependent on an outside project. These layers and groups should not be able to be renamed so that this is
consistent with the overall philosophy of embedded layers and their behavior.

History

#1 - 2014-06-28 07:43 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2016-01-20 03:12 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

well, here | have some use cases where people want to rename embedded layers because the original name is too large or too complex.

| think that this is now a "natural" feature of QGIS for users (at least where | work).

Furthermore, if we want to duplicate embedded layers (see #6683), we need to be able to rename embedded layers...

Anybody else that do agree with me ?

#3 - 2016-03-19 08:38 AM - Sebastian Dietrich

| think renaming should be disabled, because the concept of embedding sees the name as a property that is defined in the original project. The new name
is lost when the project is saved and loaded again and | therefore doubt it is a "natural" feature for users now. Who wants to rename an embedded layer
again and again?
| therefore propose:

- fix this bug by disabling the Ul to rename an embedded layer

- open a new feature request to change the concept of embedding layers to allow changing the name (and other properties) of embedded layers

Also, #6683 is not about embedding layers but more about importing layers from another project.
#4 - 2016-05-23 09:16 AM - Giovanni Manghi
- Status changed from Feedback to Open

#5 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#6 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
